package com.hfkj.service;

import com.hfkj.entity.BsMerLedgerReceiver;
import com.hfkj.sysenum.PlatformTypeEnum;

import java.util.List;
import java.util.Map;

/**
 * @className: BsMerLedgerReceiverService
 * @author: HuRui
 * @date: 2023/4/19
 **/
public interface BsMerLedgerReceiverService {

    /**
     * 编辑分账接收方
     * @param merLedgerReceiver
     */
    void editMerLedgerReceiver(BsMerLedgerReceiver merLedgerReceiver);

    /**
     * 商户分账接收方申请
     * @param merLedgerReceiver
     */
    void merLedgerReceiverApply(BsMerLedgerReceiver merLedgerReceiver);

    /**
     * 商户分账接收方申请
     * @param merLedgerReceiver
     */
    void merLedgerReceiverDel(BsMerLedgerReceiver merLedgerReceiver);

    /**
     * 查询分账接收方详情
     * @param id
     * @return
     */
    BsMerLedgerReceiver getMerLedgerReceiverById(Long id);

    /**
     * 查询分账接收方详情
     * @param merId
     * @param receiverNo
     * @return
     */
    BsMerLedgerReceiver getMerLedgerReceiver(Long merId,String receiverNo);

    /**
     * 查询商户的接收方
     * @param merId
     * @return
     */
    List<BsMerLedgerReceiver> getMerLedgerReceiverByMer(Long merId, PlatformTypeEnum platformType);

    /**
     * 查询分账接收方列表
     * @param param
     * @return
     */
    List<BsMerLedgerReceiver> getMerLedgerReceiverList(Map<String,Object> param);
}
